<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<ComponentDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ironspeed.com/designer">
  <Generator>Iron Speed Designer</Generator>
  <Version>5.1</Version>
  <Self>
    <Name>ShowCustomersTablePage</Name>
    <Type>Page</Type>
    <GenerateDirectory>Customers</GenerateDirectory>
    <Layout>Customers\ShowCustomersTablePage.html</Layout>
    <DisplayName>ShowCustomersTablePage</DisplayName>
    <Description>Table view to show or edit multiple records.</Description>
    <CheckSum>CUSTOMIZED</CheckSum>
  </Self>
  <ComposedOf>
    <ContainedComponent>
      <Name>City</Name>
      <Type>FieldValue</Type>
      <Field>City</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CityFilter</Name>
      <Type>FieldFilter</Type>
      <FieldValueStyle>DropDownList</FieldValueStyle>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>Filter_Input</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>City</Value>
        </Attribute>
        <Attribute>
          <Name>FilterOperator</Name>
          <Value>=</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>MaxDisplayedValues</Name>
          <Value>500</Value>
        </Attribute>
        <Attribute>
          <Name>onkeypress</Name>
          <Value>dropDownListTypeAhead(this,false)</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CityLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>City</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%City</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CityLabel1</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>City</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%City</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CompanyName</Name>
      <Type>FieldValue</Type>
      <Field>CompanyName</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CompanyNameFilter</Name>
      <Type>FieldFilter</Type>
      <FieldValueStyle>DropDownList</FieldValueStyle>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>Filter_Input</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>CompanyName</Value>
        </Attribute>
        <Attribute>
          <Name>FilterOperator</Name>
          <Value>=</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>MaxDisplayedValues</Name>
          <Value>500</Value>
        </Attribute>
        <Attribute>
          <Name>onkeypress</Name>
          <Value>dropDownListTypeAhead(this,false)</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CompanyNameLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>CompanyName</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%CompanyName</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CompanyNameLabel1</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>CompanyName</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%CompanyName</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ContactName</Name>
      <Type>FieldValue</Type>
      <Field>ContactName</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>ContactNameLabel</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>ContactName</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%ContactName</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Country</Name>
      <Type>FieldValue</Type>
      <Field>Country</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CountryLabel</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>Country</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%Country</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomerID</Name>
      <Type>FieldValue</Type>
      <Field>CustomerID</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomerIDLabel</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>CustomerID</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%CustomerID</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersCopyButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarCopy.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarCopy.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarCopyOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Customers/AddCustomersPage.aspx?Customers={PK}</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Copy</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersDeleteButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>DeleteRecord</Value>
        </Attribute>
        <Attribute>
          <Name>ConfirmMessage</Name>
          <Value>DeleteConfirm</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarDelete.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarDelete.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarDeleteOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Delete</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersEditButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarEdit.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarEdit.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarEditOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Customers/EditCustomersPage.aspx?Customers={PK}</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Edit</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersExportButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>ExportData</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarCSVExport.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarCSVExport.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarCSVExportOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Export</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersExportExcelButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>ExportDataExcel</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarExcelExport.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarExcelExport.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarExcelExportOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:ExportExcel</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersImportButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>ImportCSV</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarImport.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarImport.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarImportOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Shared/SelectFileToImport.aspx?TableName=Customers</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Import</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersNewButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarNew.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarNew.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarNewOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Customers/AddCustomersPage.aspx</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Add</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersPagination</Name>
      <Type>Pagination</Type>
      <Layout>..\Shared\Pagination.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>FirstPage-Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:TableControl</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>LastPage-Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>NextPage-Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>PageSizeButton-Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>PreviousPage-Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersPDFButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>ReportData</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarPDFExport.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarPDFExport.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarPDFExportOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:PDF</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersRecordRowSelection</Name>
      <Type>Selection</Type>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersRefreshButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>ResetData</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarRefresh.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarRefresh.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarRefreshOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Refresh</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersResetButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>ResetFilters</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarReset.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarReset.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarResetOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Reset</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersRowCopyButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>button_link</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/icon_copy.gif</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Customers/AddCustomersPage.aspx?Customers={PK}</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Txt:CopyRecord</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersRowDeleteButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>DeleteRecord</Value>
        </Attribute>
        <Attribute>
          <Name>ConfirmMessage</Name>
          <Value>DeleteRecordConfirm</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControlRow</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>button_link</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/icon_delete.gif</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Txt:DeleteRecord</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersRowEditButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>button_link</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/icon_edit.gif</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Customers/EditCustomersPage.aspx?Customers={PK}</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Txt:EditRecord</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersRowViewButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>button_link</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/icon_view.gif</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Customers/ShowCustomersPage.aspx?Customers={PK}</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Txt:ViewRecord</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersSearchArea</Name>
      <Type>SearchFilter</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>AutoTypeAhead</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadDelay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadDisplayFoundText</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadListSize</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadMinChars</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadSearch</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>AutoTypeAheadWordSeparators</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>CaseSensitive</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>Columns</Name>
          <Value>50</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>CssClass</Name>
          <Value>Search_Input</Value>
        </Attribute>
        <Attribute>
          <Name>Fields</Name>
          <Value>CustomerID,CompanyName,City,Region,PostalCode</Value>
        </Attribute>
        <Attribute>
          <Name>FilterOperator</Name>
          <Value>Contains</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Customers</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersSearchButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>Search</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>CustomersSearchArea</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:SearchGoButtonText</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersSearchText</Name>
      <Type>Text</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>Txt:SearchFor</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersTableControl</Name>
      <Type>Table</Type>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>HideDataUntilSearched</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>TableOrQuery</Value>
        </Attribute>
        <Attribute>
          <Name>PageSize</Name>
          <Value>10</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationCurrentPage</Name>
          <Value>CustomersPagination-CurrentPage</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationPageSize</Name>
          <Value>CustomersPagination-PageSize</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationTotalItems</Name>
          <Value>CustomersTotalItems,CustomersPagination-TotalItems</Value>
        </Attribute>
        <Attribute>
          <Name>PaginationTotalPages</Name>
          <Value>CustomersPagination-TotalPages</Value>
        </Attribute>
        <Attribute>
          <Name>SmoothPanelUpdate</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersTitle</Name>
      <Type>Html</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>HtmlEncodeWhiteSpace</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>Customers</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersToggleAll</Name>
      <Type>Selection</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>onclick</Name>
          <Value>toggleAllCheckboxes(this);</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersTotalItems</Name>
      <Type>Label</Type>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersTotalItemsText</Name>
      <Type>Text</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>Txt:TotalItems</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CustomersWordButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>ExportToWord</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/ButtonBarWordExport.gif</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseout</Name>
          <Value>this.src='../Images/ButtonBarWordExport.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>onmouseover</Name>
          <Value>this.src='../Images/ButtonBarWordExportOver.gif'</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Word</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EmailAddress</Name>
      <Type>FieldValue</Type>
      <Field>EmailAddress</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>10000</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>10000</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>&lt;a href='mailto:{0}'&gt;{0}&lt;/a&gt;</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EmailAddressLabel</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>EmailAddress</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%EmailAddress</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Fax</Name>
      <Type>FieldValue</Type>
      <Field>Fax</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>FaxLabel</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>Fax</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%Fax</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Menu</Name>
      <Type>Menu</Type>
      <Layout>..\Menu Panels\Menu.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>HiliteSettings</Name>
          <Value>CustomersMenuItem</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageFooter</Name>
      <Type>Footer</Type>
      <Layout>..\Header and Footer\Footer.html</Layout>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageHeader</Name>
      <Type>Header</Type>
      <Layout>..\Header and Footer\Header.html</Layout>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageTitle</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>&lt;%#String.Concat(GetResourceValue("Title:Show", "Training1")," Customers") %&gt;</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Phone</Name>
      <Type>FieldValue</Type>
      <Field>Phone</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PhoneLabel</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>Phone</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%Phone</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PostalCode</Name>
      <Type>FieldValue</Type>
      <Field>PostalCode</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PostalCodeLabel</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>PostalCode</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%PostalCode</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Region</Name>
      <Type>FieldValue</Type>
      <Field>Region</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Customers</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>No &lt;b&gt;Region&lt;/b&gt; Specified</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>TextFormat</Name>
          <Value>Region is &lt;font color="red"&gt;&lt;b&gt;&lt;u&gt;{0}&lt;/u&gt;&lt;/b&gt;&lt;/font&gt;</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
      <InsideItemTemplate>true</InsideItemTemplate>
    </ContainedComponent>
    <ContainedComponent>
      <Name>RegionLabel</Name>
      <Type>FieldSort</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>CustomersTableControl</Value>
        </Attribute>
        <Attribute>
          <Name>Field</Name>
          <Value>Region</Value>
        </Attribute>
        <Attribute>
          <Name>Table</Name>
          <Value>Customers</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Customers%Region</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>CustomersTableControl</InsideControl>
    </ContainedComponent>
  </ComposedOf>
  <PageDefinition>&lt;![CDATA[&lt;?xml version="1.0" encoding="utf-16"?&gt;
&lt;PageDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
  &lt;Self&gt;
    &lt;Name&gt;ShowCustomersTablePage&lt;/Name&gt;
    &lt;Version&gt;5.1&lt;/Version&gt;
    &lt;Generator&gt;Iron Speed Designer&lt;/Generator&gt;
    &lt;Title&gt;{Title:Show} Customers&lt;/Title&gt;
    &lt;Description&gt;Table view to show or edit multiple records.&lt;/Description&gt;
    &lt;DisplayName&gt;ShowCustomersTablePage&lt;/DisplayName&gt;
    &lt;GenerateDirectory&gt;Customers&lt;/GenerateDirectory&gt;
    &lt;Layout&gt;Customers\ShowCustomersTablePage.html&lt;/Layout&gt;
    &lt;Type&gt;Page&lt;/Type&gt;
    &lt;PageLayoutName /&gt;
  &lt;/Self&gt;
  &lt;HasSkipNavigationLink&gt;false&lt;/HasSkipNavigationLink&gt;
  &lt;HasMenu&gt;true&lt;/HasMenu&gt;
  &lt;Menus&gt;
    &lt;Menu&gt;
      &lt;Name&gt;Menu&lt;/Name&gt;
      &lt;Layout&gt;..\Menu Panels\Menu.html&lt;/Layout&gt;
      &lt;HiliteSettings&gt;CustomersMenuItem&lt;/HiliteSettings&gt;
      &lt;Orientation&gt;HORIZONTAL&lt;/Orientation&gt;
      &lt;ImageURL&gt;~/Images/MLMBullet2.gif&lt;/ImageURL&gt;
      &lt;IsPresentInMenu&gt;true&lt;/IsPresentInMenu&gt;
      &lt;DisplayName&gt;{Menu:Show} Customers&lt;/DisplayName&gt;
      &lt;Type /&gt;
      &lt;Tooltip&gt;{Menu:Show} Customers&lt;/Tooltip&gt;
      &lt;Level&gt;2&lt;/Level&gt;
      &lt;Order&gt;10&lt;/Order&gt;
      &lt;Parents&gt;
        &lt;MenuNode&gt;
          &lt;NodeName&gt;Customers&lt;/NodeName&gt;
          &lt;NodeLevel&gt;1&lt;/NodeLevel&gt;
          &lt;ImageURL&gt;~/Images/MLMBullet1.gif&lt;/ImageURL&gt;
        &lt;/MenuNode&gt;
      &lt;/Parents&gt;
    &lt;/Menu&gt;
  &lt;/Menus&gt;
  &lt;HasHeader&gt;true&lt;/HasHeader&gt;
  &lt;Header&gt;
    &lt;Name&gt;PageHeader&lt;/Name&gt;
    &lt;Layout&gt;..\Header and Footer\Header.html&lt;/Layout&gt;
  &lt;/Header&gt;
  &lt;Panels&gt;
    &lt;Panel&gt;
      &lt;ID&gt;1&lt;/ID&gt;
      &lt;Name&gt;CustomersTableControl&lt;/Name&gt;
      &lt;AboveTableFilterButtonName&gt;CustomersFilterButton&lt;/AboveTableFilterButtonName&gt;
      &lt;AbvTblFilterButtonConsumers /&gt;
      &lt;Buttons&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersNewButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;NewButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarNew.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
          &lt;Consumers&gt;page&lt;/Consumers&gt;
          &lt;RedirectURL&gt;../Customers/AddCustomersPage.aspx&lt;/RedirectURL&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarNewOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarNew.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Add&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersEditButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;EditButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarEdit.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
          &lt;Consumers&gt;page&lt;/Consumers&gt;
          &lt;RedirectURL&gt;../Customers/EditCustomersPage.aspx?Customers={PK}&lt;/RedirectURL&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarEditOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarEdit.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Edit&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersCopyButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;CopyButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarCopy.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
          &lt;Consumers&gt;page&lt;/Consumers&gt;
          &lt;RedirectURL&gt;../Customers/AddCustomersPage.aspx?Customers={PK}&lt;/RedirectURL&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarCopyOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarCopy.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Copy&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersDeleteButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;DeleteButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarDelete.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;DeleteRecord&lt;/CommandName&gt;
          &lt;Consumers&gt;CustomersTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarDeleteOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarDelete.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Delete&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersPDFButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;PDFButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarPDFExport.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;ReportData&lt;/CommandName&gt;
          &lt;Consumers&gt;CustomersTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarPDFExportOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarPDFExport.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:PDF&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersWordButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;WordButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarWordExport.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;ExportToWord&lt;/CommandName&gt;
          &lt;Consumers&gt;CustomersTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarWordExportOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarWordExport.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Word&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersExportExcelButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;ExportExcelButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarExcelExport.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;ExportDataExcel&lt;/CommandName&gt;
          &lt;Consumers&gt;CustomersTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarExcelExportOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarExcelExport.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:ExportExcel&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersExportButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;ExportButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarCSVExport.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;ExportData&lt;/CommandName&gt;
          &lt;Consumers&gt;CustomersTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarCSVExportOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarCSVExport.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Export&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersImportButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;ImportButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarImport.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;ImportCSV&lt;/CommandName&gt;
          &lt;Consumers&gt;page&lt;/Consumers&gt;
          &lt;RedirectURL&gt;../Shared/SelectFileToImport.aspx?TableName=Customers&lt;/RedirectURL&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarImportOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarImport.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Import&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersRefreshButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;RefreshButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarRefresh.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;ResetData&lt;/CommandName&gt;
          &lt;Consumers&gt;CustomersTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarRefreshOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarRefresh.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Refresh&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersResetButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;ResetButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/ButtonBarReset.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;ResetFilters&lt;/CommandName&gt;
          &lt;Consumers&gt;CustomersTableControl&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover&gt;../Images/ButtonBarResetOver.gif&lt;/Onmouseover&gt;
          &lt;Onmouseout&gt;../Images/ButtonBarReset.gif&lt;/Onmouseout&gt;
          &lt;ToolTip&gt;Btn:Reset&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersRowViewButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;RowViewButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/icon_view.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
          &lt;Consumers /&gt;
          &lt;RedirectURL&gt;../Customers/ShowCustomersPage.aspx?Customers={PK}&lt;/RedirectURL&gt;
          &lt;Onmouseover /&gt;
          &lt;Onmouseout /&gt;
          &lt;ToolTip&gt;Txt:ViewRecord&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersRowEditButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;RowEditButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/icon_edit.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
          &lt;Consumers /&gt;
          &lt;RedirectURL&gt;../Customers/EditCustomersPage.aspx?Customers={PK}&lt;/RedirectURL&gt;
          &lt;Onmouseover /&gt;
          &lt;Onmouseout /&gt;
          &lt;ToolTip&gt;Txt:EditRecord&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersRowCopyButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;RowCopyButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/icon_copy.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
          &lt;Consumers /&gt;
          &lt;RedirectURL&gt;../Customers/AddCustomersPage.aspx?Customers={PK}&lt;/RedirectURL&gt;
          &lt;Onmouseover /&gt;
          &lt;Onmouseout /&gt;
          &lt;ToolTip&gt;Txt:CopyRecord&lt;/ToolTip&gt;
        &lt;/Button&gt;
        &lt;Button&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;CustomersRowDeleteButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;RowDeleteButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/icon_delete.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;DeleteRecord&lt;/CommandName&gt;
          &lt;Consumers&gt;CustomersTableControlRow&lt;/Consumers&gt;
          &lt;RedirectURL /&gt;
          &lt;Onmouseover /&gt;
          &lt;Onmouseout /&gt;
          &lt;ToolTip&gt;Txt:DeleteRecord&lt;/ToolTip&gt;
        &lt;/Button&gt;
      &lt;/Buttons&gt;
      &lt;ButtonGroupName&gt;CustomersButtons&lt;/ButtonGroupName&gt;
      &lt;CausesSave&gt;false&lt;/CausesSave&gt;
      &lt;ColumnSpan&gt;4&lt;/ColumnSpan&gt;
      &lt;DataSource&gt;TableOrQuery&lt;/DataSource&gt;
      &lt;DataSourceArg /&gt;
      &lt;FieldLabels&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;CustomerID&lt;/FieldName&gt;
          &lt;Name&gt;CustomerIDLabel&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;CompanyName&lt;/FieldName&gt;
          &lt;Name&gt;CompanyNameLabel1&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;ContactName&lt;/FieldName&gt;
          &lt;Name&gt;ContactNameLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;EmailAddress&lt;/FieldName&gt;
          &lt;Name&gt;EmailAddressLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;City&lt;/FieldName&gt;
          &lt;Name&gt;CityLabel1&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Region&lt;/FieldName&gt;
          &lt;Name&gt;RegionLabel&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;PostalCode&lt;/FieldName&gt;
          &lt;Name&gt;PostalCodeLabel&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Country&lt;/FieldName&gt;
          &lt;Name&gt;CountryLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Phone&lt;/FieldName&gt;
          &lt;Name&gt;PhoneLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Fax&lt;/FieldName&gt;
          &lt;Name&gt;FaxLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;Hyperlink&gt;true&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
      &lt;/FieldLabels&gt;
      &lt;FieldValues&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;CustomerID&lt;/FieldName&gt;
          &lt;Name&gt;CustomerID&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;CompanyName&lt;/FieldName&gt;
          &lt;Name&gt;CompanyName&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;ContactName&lt;/FieldName&gt;
          &lt;Name&gt;ContactName&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;EmailAddress&lt;/FieldName&gt;
          &lt;Name&gt;EmailAddress&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;FieldColumnType&gt;Email&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;City&lt;/FieldName&gt;
          &lt;Name&gt;City&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Region&lt;/FieldName&gt;
          &lt;Name&gt;Region&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;PostalCode&lt;/FieldName&gt;
          &lt;Name&gt;PostalCode&lt;/Name&gt;
          &lt;Index&gt;-1&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Country&lt;/FieldName&gt;
          &lt;Name&gt;Country&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Phone&lt;/FieldName&gt;
          &lt;Name&gt;Phone&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Fax&lt;/FieldName&gt;
          &lt;Name&gt;Fax&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;true&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
      &lt;/FieldValues&gt;
      &lt;Filters&gt;
        &lt;Filter&gt;
          &lt;FieldName&gt;CompanyName&lt;/FieldName&gt;
          &lt;Name&gt;CompanyNameFilter&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;AboveColumnFilterButtonName /&gt;
          &lt;FilterLabel&gt;CompanyNameLabel&lt;/FilterLabel&gt;
          &lt;FilterType&gt;FieldFilter&lt;/FilterType&gt;
          &lt;FilterStyle&gt;DropDownList&lt;/FilterStyle&gt;
          &lt;Format&gt;AboveTable&lt;/Format&gt;
          &lt;FromFilterName /&gt;
          &lt;RangeFilterText /&gt;
          &lt;ToFilterName /&gt;
          &lt;IsRangeFilter&gt;false&lt;/IsRangeFilter&gt;
          &lt;Operator&gt;=&lt;/Operator&gt;
          &lt;ListBoxMode&gt;Single&lt;/ListBoxMode&gt;
        &lt;/Filter&gt;
        &lt;Filter&gt;
          &lt;FieldName&gt;City&lt;/FieldName&gt;
          &lt;Name&gt;CityFilter&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;AboveColumnFilterButtonName /&gt;
          &lt;FilterLabel&gt;CityLabel&lt;/FilterLabel&gt;
          &lt;FilterType&gt;FieldFilter&lt;/FilterType&gt;
          &lt;FilterStyle&gt;DropDownList&lt;/FilterStyle&gt;
          &lt;Format&gt;AboveTable&lt;/Format&gt;
          &lt;FromFilterName /&gt;
          &lt;RangeFilterText /&gt;
          &lt;ToFilterName /&gt;
          &lt;IsRangeFilter&gt;false&lt;/IsRangeFilter&gt;
          &lt;Operator&gt;=&lt;/Operator&gt;
          &lt;ListBoxMode&gt;Single&lt;/ListBoxMode&gt;
        &lt;/Filter&gt;
      &lt;/Filters&gt;
      &lt;FilterGroupName&gt;CustomersFilters&lt;/FilterGroupName&gt;
      &lt;ForeignKeyName /&gt;
      &lt;GrandTotalGroup&gt;CustomersGrandTotal&lt;/GrandTotalGroup&gt;
      &lt;GrandTotalText&gt;CustomersGrandTotalText&lt;/GrandTotalText&gt;
      &lt;HasButtonPaginationBar&gt;true&lt;/HasButtonPaginationBar&gt;
      &lt;HasColumnHeaders&gt;true&lt;/HasColumnHeaders&gt;
      &lt;HasFilter&gt;true&lt;/HasFilter&gt;
      &lt;HasGrandTotals&gt;false&lt;/HasGrandTotals&gt;
      &lt;HasPageTotals&gt;false&lt;/HasPageTotals&gt;
      &lt;HasPagination&gt;true&lt;/HasPagination&gt;
      &lt;HasPanelButtons&gt;true&lt;/HasPanelButtons&gt;
      &lt;HasPanelHeader&gt;true&lt;/HasPanelHeader&gt;
      &lt;HasQueryDefinition&gt;false&lt;/HasQueryDefinition&gt;
      &lt;HasRowButtons&gt;true&lt;/HasRowButtons&gt;
      &lt;HasRowSelectionCheckbox&gt;true&lt;/HasRowSelectionCheckbox&gt;
      &lt;HasSearch&gt;true&lt;/HasSearch&gt;
      &lt;HasSortableColumn&gt;true&lt;/HasSortableColumn&gt;
      &lt;HeaderRowName&gt;CustomersHeaderRow&lt;/HeaderRowName&gt;
      &lt;HideDataUntilSearched&gt;false&lt;/HideDataUntilSearched&gt;
      &lt;InsideControl /&gt;
      &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
      &lt;IsPlaceHolder&gt;false&lt;/IsPlaceHolder&gt;
      &lt;PageSize&gt;10&lt;/PageSize&gt;
      &lt;PageTotalGroup&gt;CustomersPageTotal&lt;/PageTotalGroup&gt;
      &lt;PageTotalText&gt;CustomersPageTotalText&lt;/PageTotalText&gt;
      &lt;Pagination&gt;CustomersPagination&lt;/Pagination&gt;
      &lt;PaginationLayout&gt;..\Shared\Pagination.html&lt;/PaginationLayout&gt;
      &lt;PanelDataSourceType /&gt;
      &lt;PanelHeader&gt;
        &lt;PanelTitle&gt;CustomersTitle&lt;/PanelTitle&gt;
        &lt;PanelHeaderDisplayText&gt;{TABLE_NAME}&lt;/PanelHeaderDisplayText&gt;
        &lt;TotalItems&gt;CustomersTotalItems&lt;/TotalItems&gt;
        &lt;TotalItemsText&gt;CustomersTotalItemsText&lt;/TotalItemsText&gt;
        &lt;HasExpandCollapseIcon&gt;true&lt;/HasExpandCollapseIcon&gt;
        &lt;HasPanelButton&gt;false&lt;/HasPanelButton&gt;
      &lt;/PanelHeader&gt;
      &lt;PanelPath&gt;Data Display\Show Table.xml&lt;/PanelPath&gt;
      &lt;PanelStyle&gt;Regular&lt;/PanelStyle&gt;
      &lt;PanelType&gt;Show Multiple Records&lt;/PanelType&gt;
      &lt;RecordRowName&gt;CustomersRecordRow&lt;/RecordRowName&gt;
      &lt;SearchControls&gt;
        &lt;Search&gt;
          &lt;Name&gt;CustomersSearchArea&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;CustomersTableControl&lt;/ParentName&gt;
          &lt;TableName&gt;Customers&lt;/TableName&gt;
          &lt;SearchButtonName&gt;CustomersSearchButton&lt;/SearchButtonName&gt;
          &lt;SearchForText&gt;CustomersSearchText&lt;/SearchForText&gt;
          &lt;Fields&gt;
            &lt;Field&gt;CustomerID&lt;/Field&gt;
            &lt;Field&gt;CompanyName&lt;/Field&gt;
            &lt;Field&gt;City&lt;/Field&gt;
            &lt;Field&gt;Region&lt;/Field&gt;
            &lt;Field&gt;PostalCode&lt;/Field&gt;
          &lt;/Fields&gt;
          &lt;IsCaseSensitive&gt;false&lt;/IsCaseSensitive&gt;
          &lt;Operator&gt;Contains&lt;/Operator&gt;
        &lt;/Search&gt;
      &lt;/SearchControls&gt;
      &lt;SearchGroupName&gt;CustomersSearchGroup&lt;/SearchGroupName&gt;
      &lt;SelectRowCheckBoxName&gt;CustomersRecordRowSelection&lt;/SelectRowCheckBoxName&gt;
      &lt;TableName&gt;Customers&lt;/TableName&gt;
      &lt;TabContainerName&gt;CustomersTabContainer&lt;/TabContainerName&gt;
      &lt;TabPanelName&gt;CustomersTabPanel&lt;/TabPanelName&gt;
      &lt;ToggleAllName&gt;CustomersToggleAll&lt;/ToggleAllName&gt;
      &lt;ToolTip&gt;Displays tabular data from your database. Interactively search, filter and sort.&lt;/ToolTip&gt;
      &lt;XSLTemplateName&gt;ShowTable&lt;/XSLTemplateName&gt;
      &lt;PlaceHolderName /&gt;
    &lt;/Panel&gt;
  &lt;/Panels&gt;
  &lt;HasFooter&gt;true&lt;/HasFooter&gt;
  &lt;Footer&gt;
    &lt;Name&gt;PageFooter&lt;/Name&gt;
    &lt;Layout&gt;..\Header and Footer\Footer.html&lt;/Layout&gt;
  &lt;/Footer&gt;
  &lt;HasRecordPanel&gt;false&lt;/HasRecordPanel&gt;
  &lt;ChildPanelLayoutStyle&gt;Stacked&lt;/ChildPanelLayoutStyle&gt;
&lt;/PageDefinition&gt;]]&gt;</PageDefinition>
</ComponentDefinition>